Summary:	A KDE network sniffer application
Name:		ksniffer
Version:	0.2
Release:	%mkrel 3
License:	GPL
Group:		Networking/Other
Url:		http://www.ksniffer.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-desktop.patch
BuildRequires:	kdelibs-devel
BuildRequires:	libpcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KSniffer is a network statistics collector. It allows a user 
to watch all network traffic over any network interfaces 
connected to the host machine.KSniffer supports most TCP/IP 
protocols, (TCP, IP, UDP, ICMP, ARP, RARP as well as minimal IPX) 
KSniffer collects the # of packets, and # of bytes for each protocol. 
It also displays the activity in terms of kbits/sec, kbytes/sec and 
packets/sec. 
  
KSniffer also lets you watch port specific traffic for monitoring things 
like http, ftp, telnet, etc. traffic

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x \
	--disable-rpath \
	--enable-nmcheck \
	--enable-pch \
	--enable-new-ldflags \
	--enable-final

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README COPYING TODO VERSION
%attr(755,root,root) %{_bindir}/ksniffer*
%attr(755,root,root) %{_bindir}/sniff
%{_datadir}/applications/kde/ksniffer.desktop
%{_datadir}/apps/ksniffer/ksnifferui.rc
%{_iconsdir}/hicolor/*/apps/ksniffer.png


%changelog
* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-3mdv2007.0
+ Revision: 133966
- extend description a little bit

* Thu Feb 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-2mdv2007.1
+ Revision: 124353
- bump release tag
- add missing lang files
- new version

* Wed Feb 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-0.rc1.1mdv2007.1
+ Revision: 117328
- add missing buildrequire
- Import ksniffer

